Subject: [PATCH 0/9] ARM: dts: omap5-uevm: fixup wrong regulator configuration

From: [email-masked] (Nishanth Menon)
Date: Mon, 29 Jul 2013 09:34:37 -0500

On 07/29/2013 09:19 AM, Benoit Cousson wrote:
> 2013/7/29 Nishanth Menon <nm at ti.com <mailto:[email-masked]>>
>
> Well you're lucky I'm now in an area with Wifi and 3G access... last
> week it whould have been impossible to receive it :-)
hehe :)

>
>> All the "fixes" are sharing more than 50% of the changelog
>> content with
>> only 2 changes in the code, so you'd better squash them into one
>> patch
>> to avoid repeating the same thing again and again.
>
>> Reason for keeping them separate was to allow any future git bisect
>> to narrow down to precise patch.
>>     <--->
> Mmm, why? Do you expect some settings to not work or generate crash?

It has worked with a backport to full fledged OS on top and I do not 
expect it to fail, however, I am never sure about how the future issues 
look like :)

>       ARM: dts: omap5-uevm: update SMPS9 settings
>        ARM: dts: omap5-uevm: update and disable unused regulators LDO[28]
>        ARM: dts: omap5-uevm: update LDO1 voltage to 1.5V and settings
>        ARM: dts: omap5-uevm: update LDO3 voltage to 1.5V and settings
>        ARM: dts: omap5-uevm: update LDO4 voltage to 1.5V and settings
>        ARM: dts: omap5-uevm: update LDO6 voltage to 1.2V
>        ARM: dts: omap5-uevm: update LDO7 voltage to 2V and settings
>        ARM: dts: omap5-uevm: update SDCARD LDO9 and resource REGEN3
>     <---->
>
>     Would you have suggestions on what to squash up?
>
>
>
> I guess one patch for all the mandatory fixes, and another one with the
> improvements should be good enough.
>
> Does that sounds OK to you?

patch #1 ARM: dts: omap5-uevm: document regulator signals used on the 
actual board
   -> as is, since it is a documentation patch
Patch #2: ARM: dts: omap5-uevm: fix regulator configurations mandatory 
for SoC
squash of:
-> ARM: dts: omap5-uevm: update LDO1 voltage to 1.5V and settings
-> ARM: dts: omap5-uevm: update LDO3 voltage to 1.5V and settings
-> ARM: dts: omap5-uevm: update LDO4 voltage to 1.5V and settings
-> ARM: dts: omap5-uevm: update LDO6 voltage to 1.2V
-> ARM: dts: omap5-uevm: update LDO7 voltage to 2V and settings
-> ARM: dts: omap5-uevm: update SDCARD LDO9 and resource REGEN3

Patch #3: ARM: dts: omap5-uevm: update optional regulator configurations
squash of:
  -> ARM: dts: omap5-uevm: update SMPS9 settings
  -> ARM: dts: omap5-uevm: update and disable unused regulators LDO[28]

Does that sound fine?
-- 
Regards,
Nishanth Menon